<template lang="pug">
.confirm
	template(v-if="modalVisible")
		.modal(@click="closeModal")
			.confirm__container.modal__container
				template(v-if="loading")
					loader
				template(v-else)
					.modal__header
						.modal__header-icon(:class="{ 'confirm__header-icon': modalPayload.button.danger }"): i.fas.fa-check
						.modal__header-title {{ modalPayload.title || '' }}

					.modal__content
						p {{ modalPayload.description || '' }}

					.modal__footer(right)
						.link(@click="closeModal") Cancel
						.button.button--danger(:class="{ 'button--danger': modalPayload.button.danger }" @click="acceptModal") {{ modalPayload.button.text || 'Continuar' }}
</template>



<script>
import Modal from '@/mixins/modal'
import Loader from '@/components/Loader'

export default {
	data() {
		return {
			loading: false
		}
	},

	mixins: [
		Modal
	],

	components: {
		Loader
	}
}
</script>



<style lang="scss" scoped>
.confirm {
	&__header-icon {
		color: $red;
		background-color: rgba($red, 0.2);
	}

    &__container {
        max-width: 450px;
    }
}
</style>
